package com.mortals.xhx.module.customer.dao.ibatis;


import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.ParamDto;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.customer.model.CustomerEntityExt;
import org.apache.ibatis.session.RowBounds;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.customer.dao.CustomerDao;
import com.mortals.xhx.module.customer.model.CustomerEntity;

import java.util.ArrayList;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 客户管理DaoImpl DAO接口
*
* @author zxfei
* @date 2022-06-08
*/
@Repository("customerDao")
public class CustomerDaoImpl extends BaseCRUDDaoMybatis<CustomerEntity,Long> implements CustomerDao {


    @Override
    public Result<CustomerEntityExt> getListExt(CustomerEntity params, PageInfo pageInfo) {
        ParamDto paramDto = this.getQueryParam(params);
        Result result = new Result();
        List list = null;
        if (pageInfo.isCountPage()) {
            int count = this.getCount(paramDto, "getListExtCount");
            if (count == 0) {
                list = new ArrayList();
            } else if (pageInfo.getPrePageResult() == -1) {
                list = this.getSqlSession().selectList(this.getSqlId("getListExt"), paramDto);
            } else {
                RowBounds rowBounds = new RowBounds(pageInfo.getBeginIndex(), pageInfo.getPrePageResult());
                list = this.getSqlSession().selectList(this.getSqlId("getListExt"), this.cpyQueryParamDto(paramDto), rowBounds);
            }

            pageInfo.setTotalResult(count);
            result.setPageInfo(pageInfo);
            result.setList((List)list);
        } else {

            if (pageInfo.getPrePageResult() == -1) {
                list = this.getSqlSession().selectList(this.getSqlId("getListExt"), paramDto);
            } else {
                RowBounds rowBounds = new RowBounds(pageInfo.getBeginIndex(), pageInfo.getPrePageResult());
                list = this.getSqlSession().selectList(this.getSqlId("getListExt"), this.cpyQueryParamDto(paramDto), rowBounds);
            }

            pageInfo.setTotalResult(-1);
            result.setPageInfo(pageInfo);
            result.setList(list);
        }

        return result;
    }
}
