package com.mortals.xhx.module.customer.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerTrialVo;
/**
* 客户试用申请实体对象
*
* @author zxfei
* @date 2022-06-08
*/

public class CustomerTrialEntity extends CustomerTrialVo {
    private static final long serialVersionUID = 1L;

    /**
    * 客户ID
    */
    private Long customerId;
    /**
    * 申请会员等级，1：试用客户，2：VIP，3：设计师
    */
    private Integer memberLevel;
    /**
    * 受理状态，0:未受理，1:同意，2:不同意。默认：0
    */
    private Integer isAccept;



    public CustomerTrialEntity(){}
    /**
    * 获取 客户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 客户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 申请会员等级，1：试用客户，2：VIP，3：设计师
    * @return Integer
    */
    public Integer getMemberLevel(){
        return memberLevel;
    }
    /**
    * 设置 申请会员等级，1：试用客户，2：VIP，3：设计师
    * @param memberLevel
    */
    public void setMemberLevel(Integer memberLevel){
        this.memberLevel = memberLevel;
    }
    /**
    * 获取 受理状态，0:未受理，1:同意，2:不同意。默认：0
    * @return Integer
    */
    public Integer getIsAccept(){
        return isAccept;
    }
    /**
    * 设置 受理状态，0:未受理，1:同意，2:不同意。默认：0
    * @param isAccept
    */
    public void setIsAccept(Integer isAccept){
        this.isAccept = isAccept;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerTrialEntity) {
            CustomerTrialEntity tmp = (CustomerTrialEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",memberLevel:").append(getMemberLevel());
        sb.append(",isAccept:").append(getIsAccept());
        return sb.toString();
    }

    public void initAttrValue(){

            this.customerId = null;

            this.memberLevel = null;

            this.isAccept = null;
    }
}