package com.mortals.xhx.module.customer.service.impl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.module.customer.model.CustomerWorkCollectEntity;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.customer.dao.CustomerWorkDesignDao;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
import com.mortals.xhx.module.customer.service.CustomerWorkDesignService;
/**
* CustomerWorkDesignService
* 客户作品信息 service实现
*
* @author zxfei
* @date 2022-06-14
*/
@Service("customerWorkDesignService")
public class CustomerWorkDesignServiceImpl extends AbstractCRUDServiceImpl<CustomerWorkDesignDao, CustomerWorkDesignEntity, Long> implements CustomerWorkDesignService {

    @Override
    protected CustomerWorkDesignEntity findBefore(CustomerWorkDesignEntity params, PageInfo pageInfo, Context context) throws AppException {
        pageInfo.setPrePageResult(-1);

        return super.findBefore(params, pageInfo, context);
    }

    @Override
    protected void saveBefore(CustomerWorkDesignEntity entity, Context context) throws AppException {
        this.validData(entity, context);
        entity.setCustomerId(this.getContextUserId(context));
    }
}