package com.mortals.xhx.module.customer.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.model.BaseEntity;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.utils.ReflectUtils;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.customer.model.CustomerTrialEntity;
import com.mortals.xhx.module.customer.model.CustomerTrialQuery;
import com.mortals.xhx.module.customer.service.CustomerTrialService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 客户试用申请
*
* @author zxfei
* @date 2022-06-08
*/
@RestController
@RequestMapping("customer/trial")
public class CustomerTrialController extends BaseCRUDJsonBodyMappingController<CustomerTrialService,CustomerTrialEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CustomerTrialController(){
        super.setModuleDesc( "客户试用申请");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model,"memberLevel", IBaseEnum.getEnumMap(MemberLevelEnum.class,0));
        this.addDict(model,"isAccept", IBaseEnum.getEnumMap(TrialAcceptEnum.class));
        super.init(model, context);
    }

    @Override
    public String list(@RequestBody(required = false) CustomerTrialEntity query) {
        Map<String, Object> model = new HashMap();
        JSONObject ret = new JSONObject();
        Context context = this.getContext();
        String busiDesc = "查询" + this.getModuleDesc();

        int code;
        try {
            PageInfo pageInfo = this.buildPageInfo(query);
            this.doListBefore(query, model, context);
            Result result = this.getService().findExt(query, pageInfo, context);
            model.put("data", result.getList());
            model.put("pageInfo", result.getPageInfo());
            this.parsePageInfo(model, result.getPageInfo());
            code = this.doListAfter(query, model, context);
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        this.init(model, context);
        ret.put("code", code);
        ret.put("msg", model.remove("message_info"));
        ret.put("dict", model.remove("dict"));
        ret.put("data", model);
        return ret.toJSONString();
    }

    @PostMapping({"accept"})
    public String accept(@RequestBody CustomerTrialEntity entity) {
        Map<String, Object> model = new HashMap();
        int code = 1;
        Context context = this.getContext();
        String busiDesc = "受理客户申请";
        try {
            this.service.doAccept(entity,context);
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var7) {
            code = -1;
            this.doException(this.request, busiDesc, model, var7);
        }
        this.init(model, context);
        JSONObject ret = new JSONObject();
        ret.put("code", Integer.valueOf(code));
        ret.put("msg", model.remove("message_info"));
        ret.put("data", model);
        ret.put("dict", model.remove("dict"));
        return ret.toJSONString();
    }


}