package com.mortals.xhx.module.picture.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.PictureTypeEnum;
import com.mortals.xhx.module.picture.model.PictureMaterialEntity;
import com.mortals.xhx.module.picture.service.PictureMaterialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 *
 * 图片素材
 *
 * @author zxfei
 * @date 2022-06-08
 */
@RestController
@RequestMapping("element/material")
public class ElementMaterialController  extends BaseCRUDJsonBodyMappingController<PictureMaterialService,PictureMaterialEntity,Long> {
    @Autowired
    private ParamService paramService;

    public ElementMaterialController(){
        super.setModuleDesc( "素材图片管理");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "pictureGroupId", paramService.getParamBySecondOrganize("PictureMaterial","pictureGroupId"));
        this.addDict(model, "pictureClassifyId", paramService.getParamBySecondOrganize("PictureMaterial","pictureClassifyId"));
        super.init(model, context);
    }

    @Override
    protected void doListBefore(PictureMaterialEntity query, Map<String, Object> model, Context context) throws AppException {
        query.setPictureType(PictureTypeEnum.ELEMENT.getValue());
    }

    @Override
    protected void saveBefore(PictureMaterialEntity entity, Map<String, Object> model, Context context) throws AppException {
        entity.setPictureType(PictureTypeEnum.ELEMENT.getValue());
    }
}
